.footer {
  background-color: $black;
}

.footer__title {
  @include main-title();
  color: $white;
  text-align: center;
  font-size: 14px;
  padding-top: 38px;
  padding-bottom: 8px;
}

.footer__text {
  display: none;
  &--mobile {
    @include footer-text();
    font-size: 12px;
  }
}

.footer__favbox {
  display: flex;
  justify-content: center;
  margin-top: 26px;
  &--fav {
    padding-right: 6px;
  }
}

.footer__contact {
  text-align: center;
  font-weight: $normal;
  font-size: 14px;
  line-height: 24px;
  padding-top: 25px;
  padding-bottom: 47px;
  color: $footer-text-color;
  &--tel {
    color: $footer-text-color;
  }
  &--email {
    color: $footer-text-color;
  }
}

/* ==========================================================================
  $Media Tablet (min width 768px)
========================================================================== */

@media (min-width: $media-tablet) {
  .footer__wrap {
    max-width: 90%;
  }

  .footer__title {
    @include main-title();
    color: $white;
    text-align: center;
    font-size: 16px;
    padding-top: 57px;
    padding-bottom: 22px;
  }

  .footer__text {
    @include footer-text();
    font-size: 16px;
    line-height: 28px;
    display: block;
    &--mobile {
      display: none;
    }
  }

  .footer__favbox {
    margin-top: 37px;
  }
  .footer__contact {
    padding-top: 34px;
    display: flex;
    justify-content: center;
    padding-bottom: 56px;
  }
}

/* ==========================================================================
  $Media Desktop (min-width 1200px)
========================================================================== */
@media (min-width: $media-desktop) {
  .footer__title {
    padding-top: 66px;
  }
  .footer__contact {
    font-size: 16px;
  }

  .footer__contact p {
    margin-right: 15px;
  }
}
